XAMPP 1.8.0 исправить phpmyadmin после обновления

Через несколько дней из XAMPP 1.8.0 вчера после обновления с версии 1.7.7 Я имел довольно интересную проблему. PHPMYADMIN-и он не открывается, и взревел 403

Доступ запрещен!


Новая концепция безопасности XAMPP:

Доступ к запрашиваемому объекту доступна только из локальной сети.

Этот параметр можно настроить в файле “HTTPD-xampp.conf”.

Сразу открыли HTTPd-xampp.conf, который для меня является в / Opt / lampp / и т.д. / дополнительные /, На первый взгляд все выглядело отлично. Правила для локальной сети были среди. Помимо открытия локального хоста. WTF ??? Я посмотрел на бревно-и видеть, что мой доступ отсекается konfiguatsiyata. Вот теперь, что я ахнул и откровенно несколько меньше удачи нашел проблему. Пройдя над httpd. conf и увидел в разрешить/запретить положения одной последней строки Требуют все предоставлено. О эврика. Это новый механизм контроля, который вступил в Апач 2.4.x. Он дает доступ или отказ любого такого штрафа, в основном имитируют Разрешить / Запретить функциональность :). Для исправления этой проблемы, мы добавляем требуют всех выданных в папку / opt/Лампп/phpmyadmin. После того, как изменения в меня выглядит как

<каталог “/Opt / lampp / PHPMyAdmin”>
AllowOverride AuthConfig предел
Заказ позволяют,Отрицать
Позвольте от всех
Требуют все предоставлено
</каталог>

 

Viangi может попробовать другой дикий, например, чтобы переименовать папку PHPMYADMIN что-то другое, а не псевдоним. Но это некрасиво и не очень значимой 🙂

p.s Они спросили меня, почему я использую XAMPP не чистую установку всех компонентов, как их мой Debian родившийся – ответ действительно очень прост – ЛЕНЬ. Я слишком ленив, чтобы написать несколько команд, а затем получить konfovete и др.. Довольно легко это принять ваш весь пакет razarhiviraš и легких 😉

Поддерживая Zemanta

оставьте ответ

Ваш электронный адрес не будет опубликован. Обязательные поля помечены *

анти СПАМ *